Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.validation.beanvalidation
Class LocaleContextMessageInterpolator

    java.lang.Object
      org.springframework.validation.beanvalidation.LocaleContextMessageInterpolator

All Implemented Interfaces:
  javax.validation.MessageInterpolator

    public class LocaleContextMessageInterpolator

extends Object
implements javax.validation.MessageInterpolator

Delegates to a target `MessageInterpolator` implementation but enforces Spring's managed Locale. Typically used to wrap the validation provider's default interpolator.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `LocaleContextHolder.getLocale()`

Nested Class Summary

Nested classes/interfaces inherited from interface javax.validation.MessageInterpolator
`javax.validation.MessageInterpolator.Context`

Constructor Summary
`LocaleContextMessageInterpolator(javax.validation.MessageInterpolator targetInterpolator)` Create a new LocaleContextMessageInterpolator, wrapping the given target interpolator.

Method Summary
`String` | `interpolate(String message, javax.validation.MessageInterpolator.Context context)`
`String` | `interpolate(String message, javax.validation.MessageInterpolator.Context context, Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleContextMessageInterpolator

    public LocaleContextMessageInterpolator(javax.validation.MessageInterpolator targetInterpolator)

  Create a new LocaleContextMessageInterpolator, wrapping the given target interpolator.

  Parameters:
    `targetInterpolator` - the target MessageInterpolator to wrap

Method Detail

### interpolate

    public String interpolate(String message,
                              javax.validation.MessageInterpolator.Context context)

  Specified by:
    `interpolate` in interface `javax.validation.MessageInterpolator`

### interpolate

    public String interpolate(String message,
                              javax.validation.MessageInterpolator.Context context,
                              Locale locale)

  Specified by:
    `interpolate` in interface `javax.validation.MessageInterpolator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD